/Plugins Custom Message

Discussion in 'Plugin Help/Development/Requests' started by imyussy, Oct 17, 2014.

Thread Status:
Not open for further replies.
  1. Offline

    imyussy

    Suggested name: CustomPluginMessage

    What I want: I'd like a plugin where when a player types /plugins or /pl it will send them a message that you can set in the config.yml. This plugin should allow essentials color codes so the message can be colorful. Also, the player will only get the custom plugin message if they have the permission node cpm.use. If they do not have that permission node they will not get the custom message.

    Thank you,
    imyussy
     
  2. Offline

    little_dude187

    theres a plugin like this look it up
     
  3. Offline

    VG.Developments

    imyussy i will do it unless someone else does it.
     
  4. Offline

    imyussy

    little_dude187 I tried looking it up before and I didn't see one that suited my needs. If you know of one post a link of it. Thank you!

    VG.Developments I don't think anyone else is going to do it. Can you please do it for me? Thank you!

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: Jun 10, 2016
  5. Offline

    Crud41

    This is a 10sec plugin without the color coding.
     
  6. Offline

    nico123o

    Since nobody seems to be doing it, I'll start working on it now, it will also have &1,&2 etc.... color codes.

    Couldn't find a way to override the /plugin command, anyone else is free to do this.

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: Jun 10, 2016
  7. Offline

    JordyPwner

    Can u give me the source? ill fix it :)
     
  8. Online

    timtower Moderator Moderator

    nico123o PlayerCommandPreProcessEvent
    That is one way, or just register it in your plugin.yml
     
  9. Offline

    MaTaMoR_

  10. Offline

    imyussy

    MaTaMoR_ I downloaded it and when I put it in my server it said it loaded and stuff, but it didn't create a folder with it on startup. Also, when I went to open it with archive utilities, it said the file was damaged.
     
  11. Offline

    bwfcwalshy Retired Staff

  12. Offline

    MaTaMoR_

    Wtf on 1.7.2 is working perfect, what version you have ? you can upload your version to mega?
     
  13. Online

    timtower Moderator Moderator

    imyussy Please stop the server, redownload, try again.
     
    VG.Developments likes this.
  14. Offline

    imyussy

    @MaTaMoR I'm using spigot version 1.7.10 snapshot.

    timtower Did that 3 times

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: Jun 10, 2016
  15. Offline

    eyamaz

    Moved to the Alternatives section
     
  16. Offline

    MaTaMoR_

    I havent that version and i cant download it ... you can upload it to mega or something like that =
     
  17. Offline

    imyussy

    [quote uid=90989084 name="MaTaMoR_" post=2849664]I havent that version and i cant download it ... you can upload it to mega or something like that =[/quote]

    I have bukkit's 1.7.9 version for making plugins. I used this in one of my other plugins and its comparable with my server version. Download it here. I posted it on media fire: <Edit by Moderator: Redacted mediafire url>
     
    Last edited by a moderator: Oct 31, 2016
  18. Offline

    MaTaMoR_

    [quote uid=90960604 name="imyussy" post=2849739]I have bukkit's 1.7.9 version for making plugins. I used this in one of my other plugins and its comparable with my server version. Download it here. I posted it on media fire: <Edit by Moderator: Redacted mediafire url>

    That version is not working .
     
    Last edited by a moderator: Oct 31, 2016
  19. Offline

    imyussy

    MaTaMoR_ Ok. I got the plugin to work but now I have 2 problems. 1, it shows an error in console when I try to add ':' to the message that shows up. Also, even when I deleted the colon ':' from the message in the chat it said Only admins can use /Plugins. I even tried adding/deleting the permission node noplugin.bypass from the default group. I would like it if you fixed these errors please.
    Thank you for your cooperation,
    imyussy
     
  20. Offline

    MaTaMoR_

    Did you put the message inside ' ' ? , and i don't understand second error .
     
Thread Status:
Not open for further replies.

Share This Page